## kbiff-trinity 3.5.13.2

=== debian/changelog ===
kbiff-trinity (4:3.5.13.2-0ubuntu13.04.0+1) raring; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Jul 2013 15:13:56 +0200

kbiff-trinity (3.9-1) squeeze; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 02 Jul 2013 18:39:16 +0200

kbiff (3.9-1) unstable; urgency=low

  * QA upload. 
  
  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Set Maintainer to Debian QA Group (Closes: #540212).
  * Drop Debian revision in package dependence on kdelibs4-dev. 
  * Bumped standars version from 3.7.3 to 3.9.1, no changes needed. 
  * Switch to source version 3.0 (quilt). 
  * Disable compilation with rpath. 
  * Fixed utime-preservation code is off by one hour (Closes: #498404).
  * Fixed wrong code for Nynorsk translation (Closes: #365185).
  * Compiling with gcc 4.4.4, I can't see "gcc warnings: extra tokens at end 
    of #... directive.", so I'm closing this bug. (Closes: #455381).

  [ Ana Beatriz Guerrero Lopez ]
  * Add libqt3-compat-headers to the build depends.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 13 Aug 2010 00:03:57 +0200

kbiff (3.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build without libqt3-compat-headers. (Closes: #464473).
  * Add build-dep on autotools-dev for config.* madness.
  * Remove po/*.gmo files on clean. (Closes: #442610).
  * Make clean not ignore errors.
  * Add watch file.
  * Build/install library file in /usr/lib/kbiff.
  * Update FSF addresses in debian/copyright.
  * Remove full text of GFDL and add pointer to GFDL license.
  * Update link to appropriate license: GPL-2.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3.
    + Lib shouldn't be in /usr/lib without library package.

 -- Barry deFreese <bddebian@comcast.net>  Wed, 06 Feb 2008 20:59:12 -0500

kbiff (3.8-1) unstable; urgency=low

  * New upstream release.
  (closes: #343187, #297302, #312381).
  * Update the German PO file.
  (closes: #314015)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat, 21 Jan 2006 10:30:17 +0100

kbiff (3.7.1-4) unstable; urgency=low

  * Add kdelibs4-dev (>= 4:3.4.2-1) in Build-Depends to build with a
    transitioned C++ version.
  (closes: #327533, #328021)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 27 Sep 2005 21:57:01 +0200

kbiff (3.7.1-3.1) unstable; urgency=low

  * NMU
  * Added complete GFDL license to debian copyright and correct license
    location to man/kbiff.sgml (Closes: #292234)
  * Regenerated man/kbiff.1 with docbook-to-man

 -- Paul Brossier <piem@altern.org>  Fri,  4 Feb 2005 18:16:48 +0000

kbiff (3.7.1-3) unstable; urgency=low

  * Do not gzip index.docbook files.
  (Closes: #248984)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Fri, 26 Nov 2004 15:26:02 +0100

kbiff (3.7.1-2) unstable; urgency=low

  * Correct a typo in the description.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon, 26 Apr 2004 14:42:52 +0000

kbiff (3.7.1-1) unstable; urgency=low

  * Initial Release.
  (Closes: #143914)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sun, 11 Apr 2004 23:19:15 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

## kbiff-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kbiff )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_SSL "Build with SSL (imap4s and pop3s) protocol support"           ${WITH_ALL_OPTIONS} )
option( WITH_MLED "Compile with support for Mail LED on ASUS notebooks"         OFF                 )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### user defined options #######

set( _PATH_MAILDIR "/var/spool/mail" CACHE STRING "Path for the mail spool" )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_DOC man         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 



##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kbiff-trinity 14.0.4

=== debian/changelog ===
kbiff-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:12:44 +0200

=== debian/control ===
Source: kbiff-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, autotools-dev, automake, libtool, tdelibs14-trinity-dev (>= 4:3.4.2), libtqt3-compat-headers
Standards-Version: 3.9.1

Package: kbiff-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TDE mail notification utility 
 Kbiff is a "xbiff"-like mail notification utility. It has  multiple pixmaps,
 session management, and GUI configuration.  It can "dock" into the TDE panel.
 It can display animated gifs, play system sounds, or run arbitrary shell
 command when new mail arrives. It supports mbox, maildir, mh, POP3, IMAP4, and
 NNTP mailboxes.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -23,10 +23,15 @@
 	dh_testdir
 
 	# Regenerate build system
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 
 	autoreconf --install && automake -f && \

## kbiff-trinity 14.0.5

=== debian/changelog ===
kbiff-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:18:38 +0200

## kbiff-trinity 14.0.6

=== debian/changelog ===
kbiff-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Mar 2019 23:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, autotools-dev, automake, libtool, tdelibs14-trinity-dev (>= 4:3.4.2), libtqt3-compat-headers
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev (>= 4:3.4.2)
 Standards-Version: 3.9.1
 
 Package: kbiff-trinity

## kbiff-trinity 14.0.8

=== debian/changelog ===
kbiff-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev (>= 4:3.4.2)
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool | gettext (>= 0.19~), tdelibs14-trinity-dev (>= 4:3.4.2)
 Standards-Version: 3.9.1
 
 Package: kbiff-trinity

## kbiff-trinity 14.0.10

=== debian/changelog ===
kbiff-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: kbiff-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, intltool | gettext (>= 0.19~), tdelibs14-trinity-dev (>= 4:3.4.2)
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev (>= 4:3.4.2)
 Standards-Version: 3.9.1
 
 Package: kbiff-trinity

## kbiff-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( kbiff )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -76,10 +76,12 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_DOC man         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
 
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

## kbiff-trinity 14.0.13

=== debian/changelog ===
kbiff-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 24 Jun 2022 12:08:54 +0200

## kbiff-trinity 14.1.0

=== debian/changelog ===
kbiff-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kbiff-trinity 14.1.1

=== debian/changelog ===
kbiff-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 03:41:05 +0200

## kbiff-trinity 14.1.2

=== debian/changelog ===
kbiff-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

## kbiff-trinity 14.1.3

=== debian/changelog ===
kbiff-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 16 Sep 2024 23:09:42 +0200

## kbiff-trinity 14.1.4

=== debian/changelog ===
kbiff-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kbiff-trinity 14.1.5~pre1

=== debian/changelog ===
kbiff-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for b56694a2d3fbe3b408c7b11fc720d2ae89a83ef4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbiff-trinity 14.1.5

=== debian/changelog ===
kbiff-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbiff-trinity 14.1.6~pre0

=== debian/changelog ===
kbiff-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b56694a2d3fbe3b408c7b11fc720d2ae89a83ef4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kbiff-trinity 14.1.6~pre1

=== debian/changelog ===
kbiff-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8c4f434d2769554c6d46e6e569b247961be64e82
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:41:35 +0100

## kbiff-trinity 14.1.6~pre2

=== debian/changelog ===
kbiff-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c51b77b9e1e8b9f3d98cc74ea50f7596d45691f8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 12:33:47 +0100

## kbiff-trinity 14.2.0~pre30

=== debian/changelog ===
kbiff-trinity (4:14.2.0~pre30-0ubuntu20.04.0+6) focal; urgency=low

  * Automated git build for 209a94d9bb11d90bde83deefc2f5362812c00eca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev (>= 4:3.4.2)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev (>= 4:3.4.2)
 Standards-Version: 3.9.1
 
 Package: kbiff-trinity

## kbiff-trinity 14.2.0~pre31

=== debian/changelog ===
kbiff-trinity (4:14.2.0~pre31-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for a4665e2b061bcc426e411688fdb61bfd9cc6f19f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:55:51 +0100

## kbiff-trinity 14.2.0~pre32

=== debian/changelog ===
kbiff-trinity (4:14.2.0~pre32-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 09e186e425d3a880306ce43702f9c03eb3ee628f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kbiff

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Jan 2026 03:15:59 +0100
